ActivationGroupDesc.CommandEnvironment (Java Platform SE 8 )
Keywords: java.rmi.activation.ActivationGroupDesc.CommandEnvironment class
Date: 2026-04-24

compact2, compact3
java.rmi.activation

## Class ActivationGroupDesc.CommandEnvironment

- java.lang.Object
- - java.rmi.activation.ActivationGroupDesc.CommandEnvironment

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    ActivationGroupDesc

      public static class ActivationGroupDesc.CommandEnvironment
      extends Object
      implements Serializable

  Startup options for ActivationGroup implementations. This class allows overriding default system properties and specifying implementation-defined options for ActivationGroups.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandEnvironment(String cmdpath, String[] argv)` Create a CommandEnvironment with all the necessary information.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Compares two command environments for content equality.
    `String[]` | `getCommandOptions()` Fetch the configured java command options.
    `String` | `getCommandPath()` Fetch the configured path-qualified java command name.
    `int` | `hashCode()` Return identical values for similar `CommandEnvironment`s.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandEnvironment

          public CommandEnvironment(String cmdpath,
                                    String[] argv)

      Create a CommandEnvironment with all the necessary information.
      Parameters:
        `cmdpath` - the name of the java executable, including the full path, or `null`, meaning "use rmid's default". The named program must be able to accept multiple `-Dpropname=value` options (as documented for the "java" tool)
        `argv` - extra options which will be used in creating the ActivationGroup. Null has the same effect as an empty list.
      Since:
        1.2

  - ### Method Detail

    - #### getCommandPath

          public String getCommandPath()

      Fetch the configured path-qualified java command name.
      Returns:
        the configured name, or `null` if configured to accept the default
      Since:
        1.2

    - #### getCommandOptions

          public String[] getCommandOptions()

      Fetch the configured java command options.
      Returns:
        An array of the command options which will be passed to the new child command by rmid. Note that rmid may add other options before or after these options, or both. Never returns `null`.
      Since:
        1.2

    - #### equals

          public boolean equals(Object obj)

      Compares two command environments for content equality.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the Object to compare with
      Returns:
        true if these Objects are equal; false otherwise.
      Since:
        1.2
      See Also:
        `Hashtable`

    - #### hashCode

          public int hashCode()

      Return identical values for similar `CommandEnvironment`s.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        an integer
      See Also:
        `Hashtable`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.